
ChiliProject - Bug # 863: missing journals fixture at test/unit/issue_test.rb

Status: Closed Priority: Normal
Author: Toshi MARUYAMA Category:
Created: 2012-02-06 Assignee:
Updated: 2012-05-20 Due date:
Remote issue URL:
Affected version: 2.6.0
Description: On empty database.

<pre>
  1) Failure:
test_stale_issue_should_not_send_email_notification(IssueTest) [test/unit/issue_test.rb:613]:
<1> expected but was
<0>.
</pre>

Associated revisions
2012-05-20 10:18 am - Felix SchÃ¤fer 
Load all required fixtures on issue unit test #863

Contributed by Toshi MARUYAMA

History
2012-05-19 08:47 pm - Felix Schäfer
I could not reproduce this, can you give me more info about the platform, ruby and DB used?

2012-05-20 07:53 am - Toshi MARUYAMA
<pre>

$ git log -n1 | cat
commit 9cd14ca152efca10dba9745526d7d8f4ab480dec
Author: Andrew Smith <xxxxxxxxxxxx>
Date:   Sat May 19 10:44:24 2012 +0100

    Fix a typo when calculating the menu X position. #1007

$ ls db
migrate  seeds.rb

$ rake db:migrate RAILS_ENV=test
==  Setup: migrating ==========================================================
-- create_table("attachments", {:force=>true})
   -> 0.0047s
-- create_table("auth_sources", {:force=>true})
   -> 0.2167s
-- create_table("custom_fields", {:force=>true})
   -> 0.0042s
-- create_table("custom_fields_projects", {:force=>true, :id=>false})
   -> 0.0023s
-- create_table("custom_fields_trackers", {:force=>true, :id=>false})
   -> 0.0024s
-- create_table("custom_values", {:force=>true})
   -> 0.0045s
-- create_table("documents", {:force=>true})
   -> 0.0036s
-- add_index("documents", ["project_id"], {:name=>"documents_project_id"})
   -> 0.0012s
-- create_table("enumerations", {:force=>true})
   -> 0.0027s
-- create_table("issue_categories", {:force=>true})
   -> 0.0029s
-- add_index("issue_categories", ["project_id"], {:name=>"issue_categories_project_id"})
   -> 0.0012s
-- create_table("issue_histories", {:force=>true})
   -> 0.0042s
-- add_index("issue_histories", ["issue_id"], {:name=>"issue_histories_issue_id"})
   -> 0.0013s
-- create_table("issue_statuses", {:force=>true})
   -> 0.0034s
-- create_table("issues", {:force=>true})
   -> 0.0060s
-- add_index("issues", ["project_id"], {:name=>"issues_project_id"})
   -> 0.0013s
-- create_table("members", {:force=>true})
   -> 0.0040s
-- create_table("news", {:force=>true})
   -> 0.0037s
-- add_index("news", ["project_id"], {:name=>"news_project_id"})
   -> 0.0011s
-- create_table("permissions", {:force=>true})
   -> 0.0039s
-- create_table("permissions_roles", {:force=>true, :id=>false})
   -> 0.0037s
-- add_index("permissions_roles", ["role_id"], {:name=>"permissions_roles_role_id"})
   -> 0.0013s
-- create_table("projects", {:force=>true})
   -> 0.0045s
-- create_table("roles", {:force=>true})
   -> 0.0029s
-- create_table("tokens", {:force=>true})
   -> 0.0034s
-- create_table("trackers", {:force=>true})
   -> 0.0031s
-- create_table("users", {:force=>true})
   -> 0.0053s
-- create_table("versions", {:force=>true})
   -> 0.0039s
-- add_index("versions", ["project_id"], {:name=>"versions_project_id"})
   -> 0.0021s
-- create_table("workflows", {:force=>true})
   -> 0.0040s
==  Setup: migrated (0.5970s) =================================================

==  IssueMove: migrating ======================================================
==  IssueMove: migrated (0.0083s) =============================================

==  IssueAddNote: migrating ===================================================
==  IssueAddNote: migrated (0.0087s) ==========================================

==  ExportPdf: migrating ======================================================
==  ExportPdf: migrated (0.0123s) =============================================

==  IssueStartDate: migrating =================================================
-- add_column(:issues, :start_date, :date)
   -> 0.0016s
-- add_column(:issues, :done_ratio, :integer, {:null=>false, :default=>0})
   -> 0.0015s
==  IssueStartDate: migrated (0.0039s) ========================================

==  CalendarAndActivity: migrating ============================================
==  CalendarAndActivity: migrated (0.0143s) ===================================

==  CreateJournals: migrating =================================================
-- create_table(:journals, {:force=>true})
   -> 0.0053s
-- create_table(:journal_details, {:force=>true})
   -> 0.0045s
-- add_index("journals", ["journalized_id", "journalized_type"], {:name=>"journals_journalized_id"})
   -> 0.0014s
-- add_index("journal_details", ["journal_id"], {:name=>"journal_details_journal_id"})
   -> 0.0012s
-- drop_table(:issue_histories)
   -> 0.0016s
==  CreateJournals: migrated (0.0249s) ========================================

==  CreateUserPreferences: migrating ==========================================
-- create_table(:user_preferences)
   -> 0.0022s
==  CreateUserPreferences: migrated (0.0024s) =================================

==  AddHideMailPref: migrating ================================================
-- add_column(:user_preferences, :hide_mail, :boolean, {:default=>false})
   -> 0.0015s
==  AddHideMailPref: migrated (0.0017s) =======================================

==  CreateComments: migrating =================================================
-- create_table(:comments)
   -> 0.0031s
==  CreateComments: migrated (0.0034s) ========================================

==  AddNewsCommentsCount: migrating ===========================================
-- add_column(:news, :comments_count, :integer, {:null=>false, :default=>0})
   -> 0.0018s
==  AddNewsCommentsCount: migrated (0.0021s) ==================================

==  AddCommentsPermissions: migrating =========================================
==  AddCommentsPermissions: migrated (0.0109s) ================================
==  CreateQueries: migrating ==================================================
-- create_table(:queries, {:force=>true})
   -> 0.0051s
==  CreateQueries: migrated (0.0053s) =========================================

==  AddQueriesPermissions: migrating ==========================================
==  AddQueriesPermissions: migrated (0.0080s) =================================

==  CreateRepositories: migrating =============================================
-- create_table(:repositories, {:force=>true})
   -> 0.0041s
==  CreateRepositories: migrated (0.0043s) ====================================

==  AddRepositoriesPermissions: migrating =====================================
==  AddRepositoriesPermissions: migrated (0.0211s) ============================

==  CreateSettings: migrating =================================================
-- create_table(:settings, {:force=>true})
   -> 0.0041s
==  CreateSettings: migrated (0.0043s) ========================================

==  SetDocAndFilesNotifications: migrating ====================================
==  SetDocAndFilesNotifications: migrated (0.0197s) ===========================

==  AddIssueStatusPosition: migrating =========================================
-- add_column(:issue_statuses, :position, :integer, {:default=>1})
   -> 0.0014s
==  AddIssueStatusPosition: migrated (0.0025s) ================================

==  AddRolePosition: migrating ================================================
-- add_column(:roles, :position, :integer, {:default=>1})
   -> 0.0014s
==  AddRolePosition: migrated (0.0106s) =======================================

==  AddTrackerPosition: migrating =============================================
-- add_column(:trackers, :position, :integer, {:default=>1})
   -> 0.0019s
==  AddTrackerPosition: migrated (0.0030s) ====================================

==  SerializePossiblesValues: migrating =======================================
==  SerializePossiblesValues: migrated (0.0013s) ==============================

==  AddTrackerIsInRoadmap: migrating ==========================================
-- add_column(:trackers, :is_in_roadmap, :boolean, {:null=>false, :default=>true})
   -> 0.0019s
==  AddTrackerIsInRoadmap: migrated (0.0023s) =================================

==  AddRoadmapPermission: migrating ===========================================
==  AddRoadmapPermission: migrated (0.0079s) ==================================

==  AddSearchPermission: migrating ============================================
==  AddSearchPermission: migrated (0.0084s) ===================================
==  AddRepositoryLoginAndPassword: migrating ==================================
-- add_column(:repositories, :login, :string, {:limit=>60, :default=>""})
   -> 0.0014s
-- add_column(:repositories, :password, :string, {:limit=>60, :default=>""})
   -> 0.0010s
==  AddRepositoryLoginAndPassword: migrated (0.0028s) =========================

==  CreateWikis: migrating ====================================================
-- create_table(:wikis)
   -> 0.0022s
-- add_index(:wikis, :project_id, {:name=>:wikis_project_id})
   -> 0.0011s
==  CreateWikis: migrated (0.0037s) ===========================================

==  CreateWikiPages: migrating ================================================
-- create_table(:wiki_pages)
   -> 0.0022s
-- add_index(:wiki_pages, [:wiki_id, :title], {:name=>:wiki_pages_wiki_id_title})
   -> 0.0011s
==  CreateWikiPages: migrated (0.0037s) =======================================

==  CreateWikiContents: migrating =============================================
-- create_table(:wiki_contents)
   -> 0.0028s
-- add_index(:wiki_contents, :page_id, {:name=>:wiki_contents_page_id})
   -> 0.0011s
-- create_table(:wiki_content_versions)
   -> 0.0028s
-- add_index(:wiki_content_versions, :wiki_content_id, {:name=>:wiki_content_versions_wcid})
   -> 0.0012s
==  CreateWikiContents: migrated (0.0089s) ====================================

==  AddProjectsFeedsPermissions: migrating ====================================
==  AddProjectsFeedsPermissions: migrated (0.0087s) ===========================

==  AddRepositoryRootUrl: migrating ===========================================
-- add_column(:repositories, :root_url, :string, {:limit=>255, :default=>""})
   -> 0.0015s
==  AddRepositoryRootUrl: migrated (0.0017s) ==================================

==  CreateTimeEntries: migrating ==============================================
-- create_table(:time_entries)
   -> 0.0038s
-- add_index(:time_entries, [:project_id], {:name=>:time_entries_project_id})
   -> 0.0011s
-- add_index(:time_entries, [:issue_id], {:name=>:time_entries_issue_id})
   -> 0.0016s
==  CreateTimeEntries: migrated (0.0071s) =====================================

==  AddTimelogPermissions: migrating ==========================================
==  AddTimelogPermissions: migrated (0.0081s) =================================
==  CreateChangesets: migrating ===============================================
-- create_table(:changesets)
   -> 0.0030s
-- add_index(:changesets, [:repository_id, :revision], {:unique=>true, :name=>:changesets_repos_rev})
   -> 0.0016s
==  CreateChangesets: migrated (0.0050s) ======================================

==  CreateChanges: migrating ==================================================
-- create_table(:changes)
   -> 0.0029s
-- add_index(:changes, [:changeset_id], {:name=>:changesets_changeset_id})
   -> 0.0013s
==  CreateChanges: migrated (0.0056s) =========================================

==  AddChangesetCommitDate: migrating =========================================
-- add_column(:changesets, :commit_date, :date)
   -> 0.0018s
==  AddChangesetCommitDate: migrated (0.0033s) ================================

==  AddProjectIdentifier: migrating ===========================================
-- add_column(:projects, :identifier, :string, {:limit=>20})
   -> 0.0015s
==  AddProjectIdentifier: migrated (0.0017s) ==================================

==  AddCustomFieldIsFilter: migrating =========================================
-- add_column(:custom_fields, :is_filter, :boolean, {:null=>false, :default=>false})
   -> 0.0016s
==  AddCustomFieldIsFilter: migrated (0.0018s) ================================

==  CreateWatchers: migrating =================================================
-- create_table(:watchers)
   -> 0.0036s
==  CreateWatchers: migrated (0.0038s) ========================================

==  CreateChangesetsIssues: migrating =========================================
-- create_table(:changesets_issues, {:id=>false})
   -> 0.0020s
-- add_index(:changesets_issues, [:changeset_id, :issue_id], {:unique=>true, :name=>:changesets_issues_ids})
   -> 0.0016s
==  CreateChangesetsIssues: migrated (0.0040s) ================================

==  RenameCommentToComments: migrating ========================================
==  RenameCommentToComments: migrated (0.0573s) ===============================

==  CreateIssueRelations: migrating ===========================================
-- create_table(:issue_relations)
   -> 0.0026s
==  CreateIssueRelations: migrated (0.0028s) ==================================

==  AddRelationsPermissions: migrating ========================================
==  AddRelationsPermissions: migrated (0.0127s) ===============================

==  SetLanguageLengthToFive: migrating ========================================
-- change_column(:users, :language, :string, {:limit=>5, :default=>""})
   -> 0.0439s
==  SetLanguageLengthToFive: migrated (0.0441s) ===============================

==  CreateBoards: migrating ===================================================
-- create_table(:boards)
   -> 0.0034s
-- add_index(:boards, [:project_id], {:name=>:boards_project_id})
   -> 0.0016s
==  CreateBoards: migrated (0.0053s) ==========================================

==  CreateMessages: migrating =================================================
-- create_table(:messages)
   -> 0.0034s
-- add_index(:messages, [:board_id], {:name=>:messages_board_id})
   -> 0.0011s
-- add_index(:messages, [:parent_id], {:name=>:messages_parent_id})
   -> 0.0018s
==  CreateMessages: migrated (0.0069s) ========================================

==  AddBoardsPermissions: migrating ===========================================
==  AddBoardsPermissions: migrated (0.0139s) ==================================

==  AllowNullVersionEffectiveDate: migrating ==================================
-- change_column(:versions, :effective_date, :date, {:null=>true, :default=>nil})
   -> 0.0299s
==  AllowNullVersionEffectiveDate: migrated (0.0301s) =========================

==  AddWikiDestroyPagePermission: migrating ===================================
==  AddWikiDestroyPagePermission: migrated (0.0084s) ==========================

==  AddWikiAttachmentsPermissions: migrating ==================================
==  AddWikiAttachmentsPermissions: migrated (0.0113s) =========================

==  AddProjectStatus: migrating ===============================================
-- add_column(:projects, :status, :integer, {:null=>false, :default=>1})
   -> 0.0016s
==  AddProjectStatus: migrated (0.0018s) ======================================

==  AddChangesRevision: migrating =============================================
-- add_column(:changes, :revision, :string)
   -> 0.0014s
==  AddChangesRevision: migrated (0.0015s) ====================================

==  AddChangesBranch: migrating ===============================================
-- add_column(:changes, :branch, :string)
   -> 0.0013s
==  AddChangesBranch: migrated (0.0015s) ======================================

==  AddChangesetsScmid: migrating =============================================
-- add_column(:changesets, :scmid, :string)
   -> 0.0021s
==  AddChangesetsScmid: migrated (0.0023s) ====================================
==  AddRepositoriesType: migrating ============================================
-- add_column(:repositories, :type, :string)
   -> 0.1698s
==  AddRepositoriesType: migrated (0.1709s) ===================================

==  AddRepositoriesChangesPermission: migrating ===============================
==  AddRepositoriesChangesPermission: migrated (0.0089s) ======================

==  AddVersionsWikiPageTitle: migrating =======================================
-- add_column(:versions, :wiki_page_title, :string)
   -> 0.0016s
==  AddVersionsWikiPageTitle: migrated (0.0017s) ==============================

==  AddIssueCategoriesAssignedToId: migrating =================================
-- add_column(:issue_categories, :assigned_to_id, :integer)
   -> 0.0017s
==  AddIssueCategoriesAssignedToId: migrated (0.0020s) ========================

==  AddRolesAssignable: migrating =============================================
-- add_column(:roles, :assignable, :boolean, {:default=>true})
   -> 0.0015s
==  AddRolesAssignable: migrated (0.0017s) ====================================

==  ChangeChangesetsCommitterLimit: migrating =================================
-- change_column(:changesets, :committer, :string, {:limit=>nil})
   -> 0.0375s
==  ChangeChangesetsCommitterLimit: migrated (0.0377s) ========================

==  AddRolesBuiltin: migrating ================================================
-- add_column(:roles, :builtin, :integer, {:null=>false, :default=>0})
   -> 0.0018s
==  AddRolesBuiltin: migrated (0.0020s) =======================================

==  InsertBuiltinRoles: migrating =============================================
==  InsertBuiltinRoles: migrated (0.0157s) ====================================

==  AddRolesPermissions: migrating ============================================
-- add_column(:roles, :permissions, :text)
   -> 0.0020s
==  AddRolesPermissions: migrated (0.0023s) ===================================

==  DropPermissions: migrating ================================================
-- drop_table(:permissions)
   -> 0.0013s
-- drop_table(:permissions_roles)
   -> 0.0010s
==  DropPermissions: migrated (0.0027s) =======================================

==  AddSettingsUpdatedOn: migrating ===========================================
-- add_column(:settings, :updated_on, :timestamp)
   -> 0.0015s
==  AddSettingsUpdatedOn: migrated (0.0156s) ==================================
==  AddCustomValueCustomizedIndex: migrating ==================================
-- add_index(:custom_values, [:customized_type, :customized_id], {:name=>:custom_values_customized})
   -> 0.0016s
==  AddCustomValueCustomizedIndex: migrated (0.0018s) =========================

==  CreateWikiRedirects: migrating ============================================
-- create_table(:wiki_redirects)
   -> 0.0030s
-- add_index(:wiki_redirects, [:wiki_id, :title], {:name=>:wiki_redirects_wiki_id_title})
   -> 0.0017s
==  CreateWikiRedirects: migrated (0.0051s) ===================================

==  CreateEnabledModules: migrating ===========================================
-- create_table(:enabled_modules)
   -> 0.0020s
-- add_index(:enabled_modules, [:project_id], {:name=>:enabled_modules_project_id})
   -> 0.0012s
==  CreateEnabledModules: migrated (0.0045s) ==================================

==  AddIssuesEstimatedHours: migrating ========================================
-- add_column(:issues, :estimated_hours, :float)
   -> 0.0015s
==  AddIssuesEstimatedHours: migrated (0.0017s) ===============================

==  ChangeAttachmentsContentTypeLimit: migrating ==============================
-- change_column(:attachments, :content_type, :string, {:limit=>nil})
   -> 0.0345s
==  ChangeAttachmentsContentTypeLimit: migrated (0.0347s) =====================

==  AddQueriesColumnNames: migrating ==========================================
-- add_column(:queries, :column_names, :text)
   -> 0.0014s
==  AddQueriesColumnNames: migrated (0.0015s) =================================

==  AddEnumerationsPosition: migrating ========================================
-- add_column(:enumerations, :position, :integer, {:default=>1})
   -> 0.0015s
==  AddEnumerationsPosition: migrated (0.0375s) ===============================

==  AddEnumerationsIsDefault: migrating =======================================
-- add_column(:enumerations, :is_default, :boolean, {:null=>false, :default=>false})
   -> 0.0014s
==  AddEnumerationsIsDefault: migrated (0.0016s) ==============================

==  AddAuthSourcesTls: migrating ==============================================
-- add_column(:auth_sources, :tls, :boolean, {:null=>false, :default=>false})
   -> 0.0015s
==  AddAuthSourcesTls: migrated (0.0017s) =====================================

==  AddMembersMailNotification: migrating =====================================
-- add_column(:members, :mail_notification, :boolean, {:null=>false, :default=>false})
   -> 0.0075s
==  AddMembersMailNotification: migrated (0.0077s) ============================

==  AllowNullPosition: migrating ==============================================
-- change_column(:issue_statuses, :position, :integer, {:null=>true, :default=>1})
   -> 0.0221s
-- change_column(:roles, :position, :integer, {:null=>true, :default=>1})
   -> 0.0218s
-- change_column(:trackers, :position, :integer, {:null=>true, :default=>1})
   -> 0.1935s
-- change_column(:boards, :position, :integer, {:null=>true, :default=>1})
   -> 0.0356s
-- change_column(:enumerations, :position, :integer, {:null=>true, :default=>1})
   -> 0.0195s
==  AllowNullPosition: migrated (0.2935s) =====================================

==  RemoveIssueStatusesHtmlColor: migrating ===================================
-- remove_column(:issue_statuses, :html_color)
   -> 0.0222s
==  RemoveIssueStatusesHtmlColor: migrated (0.0224s) ==========================

==  AddCustomFieldsPosition: migrating ========================================
-- add_column(:custom_fields, :position, :integer, {:default=>1})
   -> 0.0017s
==  AddCustomFieldsPosition: migrated (0.0030s) ===============================

==  AddUserPreferencesTimeZone: migrating =====================================
-- add_column(:user_preferences, :time_zone, :string)
   -> 0.0018s
==  AddUserPreferencesTimeZone: migrated (0.0020s) ============================

==  AddUsersType: migrating ===================================================
-- add_column(:users, :type, :string)
   -> 0.0015s
==  AddUsersType: migrated (0.0059s) ==========================================

==  CreateProjectsTrackers: migrating =========================================
-- create_table(:projects_trackers, {:id=>false})
   -> 0.0020s
-- add_index(:projects_trackers, :project_id, {:name=>:projects_trackers_project_id})
   -> 0.0012s
==  CreateProjectsTrackers: migrated (0.0054s) ================================

==  AddMessagesLocked: migrating ==============================================
-- add_column(:messages, :locked, :boolean, {:default=>false})
   -> 0.0015s
==  AddMessagesLocked: migrated (0.0017s) =====================================

==  AddMessagesSticky: migrating ==============================================
-- add_column(:messages, :sticky, :integer, {:default=>0})
   -> 0.0014s
==  AddMessagesSticky: migrated (0.0016s) =====================================

==  ChangeAuthSourcesAccountLimit: migrating ==================================
-- change_column(:auth_sources, :account, :string, {:limit=>nil})
   -> 0.0388s
==  ChangeAuthSourcesAccountLimit: migrated (0.0390s) =========================

==  AddRoleTrackerOldStatusIndexToWorkflows: migrating ========================
-- add_index(:workflows, [:role_id, :tracker_id, :old_status_id], {:name=>:wkfs_role_tracker_old_status})
   -> 0.0015s
==  AddRoleTrackerOldStatusIndexToWorkflows: migrated (0.0017s) ===============

==  AddCustomFieldsSearchable: migrating ======================================
-- add_column(:custom_fields, :searchable, :boolean, {:default=>false})
   -> 0.0017s
==  AddCustomFieldsSearchable: migrated (0.0019s) =============================

==  ChangeProjectsDescriptionToText: migrating ================================
-- change_column(:projects, :description, :text, {:null=>true, :default=>nil})
   -> 0.0347s
==  ChangeProjectsDescriptionToText: migrated (0.0349s) =======================

==  AddCustomFieldsDefaultValue: migrating ====================================
-- add_column(:custom_fields, :default_value, :text)
   -> 0.0014s
==  AddCustomFieldsDefaultValue: migrated (0.0016s) ===========================

==  AddAttachmentsDescription: migrating ======================================
-- add_column(:attachments, :description, :string)
   -> 0.0014s
==  AddAttachmentsDescription: migrated (0.0016s) =============================

==  ChangeVersionsNameLimit: migrating ========================================
-- change_column(:versions, :name, :string, {:limit=>nil})
   -> 0.2106s
==  ChangeVersionsNameLimit: migrated (0.2108s) ===============================

==  ChangeChangesetsRevisionToString: migrating ===============================
-- change_column(:changesets, :revision, :string, {:null=>false})
   -> 0.0352s
==  ChangeChangesetsRevisionToString: migrated (0.0354s) ======================

==  ChangeChangesFromRevisionToString: migrating ==============================
-- change_column(:changes, :from_revision, :string)
   -> 0.0323s
==  ChangeChangesFromRevisionToString: migrated (0.0325s) =====================

==  AddWikiPagesProtected: migrating ==========================================
-- add_column(:wiki_pages, :protected, :boolean, {:null=>false, :default=>false})
   -> 0.0077s
==  AddWikiPagesProtected: migrated (0.0079s) =================================

==  ChangeProjectsHomepageLimit: migrating ====================================
-- change_column(:projects, :homepage, :string, {:limit=>nil, :default=>""})
   -> 0.0332s
==  ChangeProjectsHomepageLimit: migrated (0.0334s) ===========================
==  AddWikiPagesParentId: migrating ===========================================
-- add_column(:wiki_pages, :parent_id, :integer, {:default=>nil})
   -> 0.0024s
==  AddWikiPagesParentId: migrated (0.0026s) ==================================

==  AddCommitAccessPermission: migrating ======================================
==  AddCommitAccessPermission: migrated (0.0015s) =============================

==  AddViewWikiEditsPermission: migrating =====================================
==  AddViewWikiEditsPermission: migrated (0.0017s) ============================

==  SetTopicAuthorsAsWatchers: migrating ======================================
==  SetTopicAuthorsAsWatchers: migrated (0.0053s) =============================

==  AddDeleteWikiPagesAttachmentsPermission: migrating ========================
==  AddDeleteWikiPagesAttachmentsPermission: migrated (0.0017s) ===============

==  AddChangesetsUserId: migrating ============================================
-- add_column(:changesets, :user_id, :integer, {:default=>nil})
   -> 0.0015s
==  AddChangesetsUserId: migrated (0.0017s) ===================================

==  PopulateChangesetsUserId: migrating =======================================
==  PopulateChangesetsUserId: migrated (0.0007s) ==============================

==  AddCustomFieldsEditable: migrating ========================================
-- add_column(:custom_fields, :editable, :boolean, {:default=>true})
   -> 0.0016s
==  AddCustomFieldsEditable: migrated (0.0018s) ===============================

==  SetCustomFieldsEditable: migrating ========================================
==  SetCustomFieldsEditable: migrated (0.0069s) ===============================

==  AddProjectsLftAndRgt: migrating ===========================================
-- add_column(:projects, :lft, :integer)
   -> 0.0016s
-- add_column(:projects, :rgt, :integer)
   -> 0.0038s
==  AddProjectsLftAndRgt: migrated (0.0058s) ==================================

==  BuildProjectsTree: migrating ==============================================
==  BuildProjectsTree: migrated (0.0079s) =====================================

==  RemoveProjectsProjectsCount: migrating ====================================
-- remove_column(:projects, :projects_count)
   -> 0.2110s
==  RemoveProjectsProjectsCount: migrated (0.2112s) ===========================

==  AddOpenIdAuthenticationTables: migrating ==================================
-- create_table(:open_id_authentication_associations, {:force=>true})
   -> 0.0075s
-- create_table(:open_id_authentication_nonces, {:force=>true})
   -> 0.0050s
==  AddOpenIdAuthenticationTables: migrated (0.0129s) =========================

==  AddIdentityUrlToUsers: migrating ==========================================
-- add_column(:users, :identity_url, :string)
   -> 0.0017s
==  AddIdentityUrlToUsers: migrated (0.0020s) =================================

==  AddWatchersUserIdTypeIndex: migrating =====================================
-- add_index(:watchers, [:user_id, :watchable_type], {:name=>:watchers_user_id_type})
   -> 0.0016s
==  AddWatchersUserIdTypeIndex: migrated (0.0019s) ============================

==  AddQueriesSortCriteria: migrating =========================================
-- add_column(:queries, :sort_criteria, :text)
   -> 0.0015s
==  AddQueriesSortCriteria: migrated (0.0017s) ================================

==  AddProjectsTrackersUniqueIndex: migrating =================================
-- add_index(:projects_trackers, [:project_id, :tracker_id], {:unique=>true, :name=>:projects_trackers_unique})
   -> 0.0024s
==  AddProjectsTrackersUniqueIndex: migrated (0.0037s) ========================

==  ExtendSettingsName: migrating =============================================
-- change_column(:settings, :name, :string, {:null=>false, :limit=>255, :default=>""})
   -> 0.0200s
==  ExtendSettingsName: migrated (0.0203s) ====================================

==  AddTypeToEnumerations: migrating ==========================================
-- add_column(:enumerations, :type, :string)
   -> 0.0017s
==  AddTypeToEnumerations: migrated (0.0019s) =================================

==  UpdateEnumerationsToSti: migrating ========================================
==  UpdateEnumerationsToSti: migrated (0.0022s) ===============================

==  AddActiveFieldToEnumerations: migrating ===================================
-- add_column(:enumerations, :active, :boolean, {:null=>false, :default=>true})
   -> 0.0017s
==  AddActiveFieldToEnumerations: migrated (0.0020s) ==========================

==  AddProjectToEnumerations: migrating =======================================
-- add_column(:enumerations, :project_id, :integer, {:null=>true, :default=>nil})
   -> 0.0018s
-- add_index(:enumerations, :project_id)
   -> 0.0017s
==  AddProjectToEnumerations: migrated (0.0039s) ==============================

==  AddParentIdToEnumerations: migrating ======================================
-- add_column(:enumerations, :parent_id, :integer, {:null=>true, :default=>nil})
   -> 0.0016s
==  AddParentIdToEnumerations: migrated (0.0018s) =============================
==  AddQueriesGroupBy: migrating ==============================================
-- add_column(:queries, :group_by, :string)
   -> 0.0018s
==  AddQueriesGroupBy: migrated (0.0020s) =====================================

==  CreateMemberRoles: migrating ==============================================
-- create_table(:member_roles)
   -> 0.0022s
==  CreateMemberRoles: migrated (0.0023s) =====================================

==  PopulateMemberRoles: migrating ============================================
==  PopulateMemberRoles: migrated (0.0266s) ===================================

==  DropMembersRoleId: migrating ==============================================
-- remove_column(:members, :role_id)
   -> 0.0254s
==  DropMembersRoleId: migrated (0.0256s) =====================================

==  FixMessagesStickyNull: migrating ==========================================
==  FixMessagesStickyNull: migrated (0.0011s) =================================

==  PopulateUsersType: migrating ==============================================
==  PopulateUsersType: migrated (0.0013s) =====================================

==  CreateGroupsUsers: migrating ==============================================
-- create_table(:groups_users, {:id=>false})
   -> 0.0017s
-- add_index(:groups_users, [:group_id, :user_id], {:unique=>true, :name=>:groups_users_ids})
   -> 0.0014s
==  CreateGroupsUsers: migrated (0.0035s) =====================================

==  AddMemberRolesInheritedFrom: migrating ====================================
-- add_column(:member_roles, :inherited_from, :integer)
   -> 0.0018s
==  AddMemberRolesInheritedFrom: migrated (0.0020s) ===========================

==  FixUsersCustomValues: migrating ===========================================
==  FixUsersCustomValues: migrated (0.0195s) ==================================

==  AddMissingIndexesToWorkflows: migrating ===================================
-- add_index(:workflows, :old_status_id)
   -> 0.0022s
-- add_index(:workflows, :role_id)
   -> 0.0023s
-- add_index(:workflows, :new_status_id)
   -> 0.0029s
==  AddMissingIndexesToWorkflows: migrated (0.0079s) ==========================

==  AddMissingIndexesToCustomFieldsProjects: migrating ========================
-- add_index(:custom_fields_projects, [:custom_field_id, :project_id])
   -> 0.0020s
==  AddMissingIndexesToCustomFieldsProjects: migrated (0.0022s) ===============
==  AddMissingIndexesToMessages: migrating ====================================
-- add_index(:messages, :last_reply_id)
   -> 0.0031s
-- add_index(:messages, :author_id)
   -> 0.0028s
==  AddMissingIndexesToMessages: migrated (0.0064s) ===========================

==  AddMissingIndexesToRepositories: migrating ================================
-- add_index(:repositories, :project_id)
   -> 0.0019s
==  AddMissingIndexesToRepositories: migrated (0.0021s) =======================

==  AddMissingIndexesToComments: migrating ====================================
-- add_index(:comments, [:commented_id, :commented_type])
   -> 0.0017s
-- add_index(:comments, :author_id)
   -> 0.0018s
==  AddMissingIndexesToComments: migrated (0.0039s) ===========================

==  AddMissingIndexesToEnumerations: migrating ================================
-- add_index(:enumerations, [:id, :type])
   -> 0.0025s
==  AddMissingIndexesToEnumerations: migrated (0.0028s) =======================

==  AddMissingIndexesToWikiPages: migrating ===================================
-- add_index(:wiki_pages, :wiki_id)
   -> 0.0021s
-- add_index(:wiki_pages, :parent_id)
   -> 0.0022s
==  AddMissingIndexesToWikiPages: migrated (0.0046s) ==========================

==  AddMissingIndexesToWatchers: migrating ====================================
-- add_index(:watchers, :user_id)
   -> 0.0026s
-- add_index(:watchers, [:watchable_id, :watchable_type])
   -> 0.0027s
==  AddMissingIndexesToWatchers: migrated (0.0057s) ===========================

==  AddMissingIndexesToAuthSources: migrating =================================
-- add_index(:auth_sources, [:id, :type])
   -> 0.0014s
==  AddMissingIndexesToAuthSources: migrated (0.0016s) ========================

==  AddMissingIndexesToDocuments: migrating ===================================
-- add_index(:documents, :category_id)
   -> 0.0021s
==  AddMissingIndexesToDocuments: migrated (0.0023s) ==========================

==  AddMissingIndexesToTokens: migrating ======================================
-- add_index(:tokens, :user_id)
   -> 0.0015s
==  AddMissingIndexesToTokens: migrated (0.0017s) =============================
==  AddMissingIndexesToChangesets: migrating ==================================
-- add_index(:changesets, :user_id)
   -> 0.0026s
-- add_index(:changesets, :repository_id)
   -> 0.0022s
==  AddMissingIndexesToChangesets: migrated (0.0051s) =========================

==  AddMissingIndexesToIssueCategories: migrating =============================
-- add_index(:issue_categories, :assigned_to_id)
   -> 0.0022s
==  AddMissingIndexesToIssueCategories: migrated (0.0024s) ====================

==  AddMissingIndexesToMemberRoles: migrating =================================
-- add_index(:member_roles, :member_id)
   -> 0.0016s
-- add_index(:member_roles, :role_id)
   -> 0.0017s
==  AddMissingIndexesToMemberRoles: migrated (0.0036s) ========================

==  AddMissingIndexesToBoards: migrating ======================================
-- add_index(:boards, :last_message_id)
   -> 0.0041s
==  AddMissingIndexesToBoards: migrated (0.0043s) =============================

==  AddMissingIndexesToUserPreferences: migrating =============================
-- add_index(:user_preferences, :user_id)
   -> 0.0014s
==  AddMissingIndexesToUserPreferences: migrated (0.0016s) ====================

==  AddMissingIndexesToIssues: migrating ======================================
-- add_index(:issues, :status_id)
   -> 0.0023s
-- add_index(:issues, :category_id)
   -> 0.0020s
-- add_index(:issues, :assigned_to_id)
   -> 0.0026s
-- add_index(:issues, :fixed_version_id)
   -> 0.0031s
-- add_index(:issues, :tracker_id)
   -> 0.0034s
-- add_index(:issues, :priority_id)
   -> 0.0040s
-- add_index(:issues, :author_id)
   -> 0.0041s
==  AddMissingIndexesToIssues: migrated (0.0229s) =============================

==  AddMissingIndexesToMembers: migrating =====================================
-- add_index(:members, :user_id)
   -> 0.0016s
-- add_index(:members, :project_id)
   -> 0.0020s
==  AddMissingIndexesToMembers: migrated (0.0040s) ============================
==  AddMissingIndexesToCustomFields: migrating ================================
-- add_index(:custom_fields, [:id, :type])
   -> 0.0016s
==  AddMissingIndexesToCustomFields: migrated (0.0018s) =======================

==  AddMissingIndexesToQueries: migrating =====================================
-- add_index(:queries, :project_id)
   -> 0.0017s
-- add_index(:queries, :user_id)
   -> 0.0026s
==  AddMissingIndexesToQueries: migrated (0.0052s) ============================

==  AddMissingIndexesToTimeEntries: migrating =================================
-- add_index(:time_entries, :activity_id)
   -> 0.0028s
-- add_index(:time_entries, :user_id)
   -> 0.0030s
==  AddMissingIndexesToTimeEntries: migrated (0.0062s) ========================

==  AddMissingIndexesToNews: migrating ========================================
-- add_index(:news, :author_id)
   -> 0.0029s
==  AddMissingIndexesToNews: migrated (0.0031s) ===============================

==  AddMissingIndexesToUsers: migrating =======================================
-- add_index(:users, [:id, :type])
   -> 0.0016s
-- add_index(:users, :auth_source_id)
   -> 0.0021s
==  AddMissingIndexesToUsers: migrated (0.0041s) ==============================

==  AddMissingIndexesToAttachments: migrating =================================
-- add_index(:attachments, [:container_id, :container_type])
   -> 0.0020s
-- add_index(:attachments, :author_id)
   -> 0.0022s
==  AddMissingIndexesToAttachments: migrated (0.0047s) ========================

==  AddMissingIndexesToWikiContents: migrating ================================
-- add_index(:wiki_contents, :author_id)
   -> 0.0024s
==  AddMissingIndexesToWikiContents: migrated (0.0026s) =======================

==  AddMissingIndexesToCustomValues: migrating ================================
-- add_index(:custom_values, :custom_field_id)
   -> 0.0028s
==  AddMissingIndexesToCustomValues: migrated (0.0031s) =======================

==  AddMissingIndexesToJournals: migrating ====================================
-- add_index(:journals, :user_id)
   -> 0.0024s
-- add_index(:journals, :journalized_id)
   -> 0.0036s
==  AddMissingIndexesToJournals: migrated (0.0064s) ===========================

==  AddMissingIndexesToIssueRelations: migrating ==============================
-- add_index(:issue_relations, :issue_from_id)
   -> 0.0019s
-- add_index(:issue_relations, :issue_to_id)
   -> 0.0024s
==  AddMissingIndexesToIssueRelations: migrated (0.0046s) =====================

==  AddMissingIndexesToWikiRedirects: migrating ===============================
-- add_index(:wiki_redirects, :wiki_id)
   -> 0.0023s
==  AddMissingIndexesToWikiRedirects: migrated (0.0025s) ======================

==  AddMissingIndexesToCustomFieldsTrackers: migrating ========================
-- add_index(:custom_fields_trackers, [:custom_field_id, :tracker_id])
   -> 0.0017s
==  AddMissingIndexesToCustomFieldsTrackers: migrated (0.0019s) ===============

==  AddActivityIndexes: migrating =============================================
-- add_index(:journals, :created_on)
   -> 0.0032s
-- add_index(:changesets, :committed_on)
   -> 0.0029s
-- add_index(:wiki_content_versions, :updated_on)
   -> 0.0019s
-- add_index(:messages, :created_on)
   -> 0.0038s
-- add_index(:issues, :created_on)
   -> 0.0051s
-- add_index(:news, :created_on)
   -> 0.0023s
-- add_index(:attachments, :created_on)
   -> 0.0027s
-- add_index(:documents, :created_on)
   -> 0.0022s
-- add_index(:time_entries, :created_on)
   -> 0.0031s
==  AddActivityIndexes: migrated (0.0296s) ====================================

==  AddVersionsStatus: migrating ==============================================
-- add_column(:versions, :status, :string, {:default=>"open"})
   -> 0.0018s
==  AddVersionsStatus: migrated (0.0028s) =====================================

==  AddViewIssuesPermission: migrating ========================================
==  AddViewIssuesPermission: migrated (0.0079s) ===============================

==  AddDefaultDoneRatioToIssueStatus: migrating ===============================
-- add_column(:issue_statuses, :default_done_ratio, :integer)
   -> 0.0017s
==  AddDefaultDoneRatioToIssueStatus: migrated (0.0019s) ======================
==  AddVersionsSharing: migrating =============================================
-- add_column(:versions, :sharing, :string, {:null=>false, :default=>"none"})
   -> 0.0017s
-- add_index(:versions, :sharing)
   -> 0.0022s
==  AddVersionsSharing: migrated (0.0043s) ====================================

==  AddLftAndRgtIndexesToProjects: migrating ==================================
-- add_index(:projects, :lft)
   -> 0.0015s
-- add_index(:projects, :rgt)
   -> 0.0019s
==  AddLftAndRgtIndexesToProjects: migrated (0.0038s) =========================

==  AddIndexToSettingsName: migrating =========================================
-- add_index(:settings, :name)
   -> 0.0015s
==  AddIndexToSettingsName: migrated (0.0017s) ================================

==  AddIndexesToIssueStatus: migrating ========================================
-- add_index(:issue_statuses, :position)
   -> 0.0021s
-- add_index(:issue_statuses, :is_closed)
   -> 0.0019s
-- add_index(:issue_statuses, :is_default)
   -> 0.0023s
==  AddIndexesToIssueStatus: migrated (0.0068s) ===============================

==  RemoveEnumerationsOpt: migrating ==========================================
-- remove_column(:enumerations, :opt)
   -> 0.0443s
==  RemoveEnumerationsOpt: migrated (0.0445s) =================================

==  ChangeWikiContentsTextLimit: migrating ====================================
==  ChangeWikiContentsTextLimit: migrated (0.0015s) ===========================

==  ChangeUsersMailNotificationToString: migrating ============================
-- rename_column(:users, :mail_notification, :mail_notification_bool)
   -> 0.0664s
-- add_column(:users, :mail_notification, :string, {:null=>false, :default=>""})
   -> 0.0013s
-- remove_column(:users, :mail_notification_bool)
   -> 0.2475s
==  ChangeUsersMailNotificationToString: migrated (0.3186s) ===================

==  UpdateMailNotificationValues: migrating ===================================
==  UpdateMailNotificationValues: migrated (0.0000s) ==========================

==  AddCustomFilterToAuthSources: migrating ===================================
-- add_column(:auth_sources, :custom_filter, :string)
   -> 0.0016s
==  AddCustomFilterToAuthSources: migrated (0.0018s) ==========================
==  AddIndexOnChangesetsScmid: migrating ======================================
-- add_index(:changesets, [:repository_id, :scmid], {:name=>:changesets_repos_scmid})
   -> 0.0039s
==  AddIndexOnChangesetsScmid: migrated (0.0041s) =============================

==  AddIssuesNestedSetsColumns: migrating =====================================
-- add_column(:issues, :parent_id, :integer, {:default=>nil})
   -> 0.0028s
-- add_column(:issues, :root_id, :integer, {:default=>nil})
   -> 0.0018s
-- add_column(:issues, :lft, :integer, {:default=>nil})
   -> 0.0016s
-- add_column(:issues, :rgt, :integer, {:default=>nil})
   -> 0.0015s
==  AddIssuesNestedSetsColumns: migrated (0.0096s) ============================

==  AddIndexOnIssuesNestedSet: migrating ======================================
-- add_index(:issues, [:root_id, :lft, :rgt])
   -> 0.0054s
==  AddIndexOnIssuesNestedSet: migrated (0.0057s) =============================

==  ChangeChangesPathLengthLimit: migrating ===================================
-- change_column(:changes, :path, :text, {:null=>true, :default=>nil})
   -> 0.0327s
-- change_column(:changes, :path, :text, {:null=>false})
   -> 0.0312s
-- change_column(:changes, :from_path, :text)
   -> 0.0298s
==  ChangeChangesPathLengthLimit: migrated (0.0942s) ==========================

==  PrepareJournalsForActsAsJournalized: migrating ============================
-- change_table(:journals)
   -> 0.3020s
==  PrepareJournalsForActsAsJournalized: migrated (0.3026s) ===================

==  UpdateJournalsForActsAsJournalized: migrating =============================
-- Updating existing Journals...
   -> 0.0011s
-- change_table(:journals)
   -> 0.2783s
==  UpdateJournalsForActsAsJournalized: migrated (0.2797s) ====================

==  BuildInitialJournalsForActsAsJournalized: migrating =======================
DEPRECATION WARNING: ActiveRecord::Base#class_name is deprecated and will be removed in Rails 3. (called from up_without_benchmarks at 
./db/migrate//20100714111653_build_initial_journals_for_acts_as_journalized.rb:30)
-- Building initial journals for Message
   -> 0.0037s
DEPRECATION WARNING: ActiveRecord::Base#class_name is deprecated and will be removed in Rails 3. (called from up_without_benchmarks at 
./db/migrate//20100714111653_build_initial_journals_for_acts_as_journalized.rb:30)
-- Building initial journals for Attachment
   -> 0.0019s
DEPRECATION WARNING: ActiveRecord::Base#class_name is deprecated and will be removed in Rails 3. (called from up_without_benchmarks at 
./db/migrate//20100714111653_build_initial_journals_for_acts_as_journalized.rb:30)
-- Building initial journals for Document
   -> 0.0017s
DEPRECATION WARNING: ActiveRecord::Base#class_name is deprecated and will be removed in Rails 3. (called from up_without_benchmarks at 
./db/migrate//20100714111653_build_initial_journals_for_acts_as_journalized.rb:30)
-- Building initial journals for Changeset
   -> 0.0017s
DEPRECATION WARNING: ActiveRecord::Base#class_name is deprecated and will be removed in Rails 3. (called from up_without_benchmarks at 
./db/migrate//20100714111653_build_initial_journals_for_acts_as_journalized.rb:30)
-- Building initial journals for Issue
   -> 0.0018s
DEPRECATION WARNING: ActiveRecord::Base#class_name is deprecated and will be removed in Rails 3. (called from up_without_benchmarks at 
./db/migrate//20100714111653_build_initial_journals_for_acts_as_journalized.rb:30)
-- Building initial journals for TimeEntry
   -> 0.0017s
DEPRECATION WARNING: ActiveRecord::Base#class_name is deprecated and will be removed in Rails 3. (called from up_without_benchmarks at 
./db/migrate//20100714111653_build_initial_journals_for_acts_as_journalized.rb:30)
-- Building initial journals for News
   -> 0.0017s
==  BuildInitialJournalsForActsAsJournalized: migrated (0.0189s) ==============

==  AddChangesFromJournalDetailsForActsAsJournalized: migrating ===============
-- Adding changes from JournalDetails
   -> 0.0019s
==  AddChangesFromJournalDetailsForActsAsJournalized: migrated (0.0021s) ======

==  MergeWikiVersionsWithJournals: migrating ==================================
-- change_table(:wiki_contents)
   -> 0.0423s
==  MergeWikiVersionsWithJournals: migrated (0.0742s) =========================

==  EnableCalendarAndGanttModulesWhereAppropriate: migrating ==================
==  EnableCalendarAndGanttModulesWhereAppropriate: migrated (0.0157s) =========

==  AddUniqueIndexOnMembers: migrating ========================================
-- add_index(:members, [:user_id, :project_id], {:unique=>true})
   -> 0.0025s
==  AddUniqueIndexOnMembers: migrated (0.0054s) ===============================

==  AddCustomFieldsVisible: migrating =========================================
-- add_column(:custom_fields, :visible, :boolean, {:null=>false, :default=>true})
   -> 0.0021s
==  AddCustomFieldsVisible: migrated (0.0036s) ================================

==  ChangeProjectsNameLimit: migrating ========================================
-- change_column(:projects, :name, :string, {:null=>false, :limit=>nil, :default=>""})
   -> 0.0524s
==  ChangeProjectsNameLimit: migrated (0.0526s) ===============================

==  ChangeProjectsIdentifierLimit: migrating ==================================
-- change_column(:projects, :identifier, :string, {:limit=>nil})
   -> 0.0500s
==  ChangeProjectsIdentifierLimit: migrated (0.0502s) =========================
==  AddWorkflowsAssigneeAndAuthor: migrating ==================================
-- add_column(:workflows, :assignee, :boolean, {:null=>false, :default=>false})
   -> 0.0016s
-- add_column(:workflows, :author, :boolean, {:null=>false, :default=>false})
   -> 0.0024s
==  AddWorkflowsAssigneeAndAuthor: migrated (0.0157s) =========================

==  AddUsersSalt: migrating ===================================================
-- add_column(:users, :salt, :string, {:limit=>64})
   -> 0.0019s
==  AddUsersSalt: migrated (0.0021s) ==========================================

==  SaltUserPasswords: migrating ==============================================
-- Salting user passwords, this may take some time...
   -> 0.2046s
==  SaltUserPasswords: migrated (0.2047s) =====================================

==  AddRepositoriesPathEncoding: migrating ====================================
-- add_column(:repositories, :path_encoding, :string, {:limit=>64, :default=>nil})
   -> 0.0017s
==  AddRepositoriesPathEncoding: migrated (0.0019s) ===========================

==  ChangeRepositoriesPasswordLimit: migrating ================================
-- change_column(:repositories, :password, :string, {:limit=>nil, :default=>""})
   -> 0.0390s
==  ChangeRepositoriesPasswordLimit: migrated (0.0392s) =======================

==  ChangeAuthSourcesAccountPasswordLimit: migrating ==========================
-- change_column(:auth_sources, :account_password, :string, {:limit=>nil, :default=>""})
   -> 0.0540s
==  ChangeAuthSourcesAccountPasswordLimit: migrated (0.0543s) =================

==  ChangeJournalDetailsValuesToText: migrating ===============================
-- change_column(:journal_details, :old_value, :text)
   -> 0.0269s
-- change_column(:journal_details, :value, :text)
   -> 0.0270s
==  ChangeJournalDetailsValuesToText: migrated (0.0543s) ======================

==  AddRepositoriesLogEncoding: migrating =====================================
-- add_column(:repositories, :log_encoding, :string, {:limit=>64, :default=>nil})
   -> 0.0016s
==  AddRepositoriesLogEncoding: migrated (0.0018s) ============================

==  CopyRepositoriesLogEncoding: migrating ====================================
==  CopyRepositoriesLogEncoding: migrated (0.0054s) ===========================

==  AddStartDateToVersions: migrating =========================================
-- add_column(:versions, :start_date, :date)
   -> 0.0018s
==  AddStartDateToVersions: migrated (0.0020s) ================================

==  AddIndexToUsersType: migrating ============================================
-- add_index(:users, :type)
   -> 0.0025s
==  AddIndexToUsersType: migrated (0.0027s) ===================================

==  RemoveCommentsFromWikiContent: migrating ==================================
-- remove_column(:wiki_contents, :comments)
   -> 0.0354s
==  RemoveCommentsFromWikiContent: migrated (0.0356s) =========================

==  RemoveDoubleInitialWikiContentJournals: migrating =========================
==  RemoveDoubleInitialWikiContentJournals: migrated (0.0034s) ================

==  AddDisplaySubprojectsToQuery: migrating ===================================
-- add_column(:queries, :display_subprojects, :boolean)
   -> 0.0018s
==  AddDisplaySubprojectsToQuery: migrated (0.0020s) ==========================

==  ActsAsTaggableOnMigration: migrating ======================================
-- create_table(:tags)
   -> 0.0017s
-- create_table(:taggings)
   -> 0.0027s
-- add_index(:taggings, :tag_id)
   -> 0.0014s
-- add_index(:taggings, [:taggable_id, :taggable_type, :context])
   -> 0.0045s
==  ActsAsTaggableOnMigration: migrated (0.0111s) =============================

==  RemoveNoisyAttachmentJournals: migrating ==================================
==  RemoveNoisyAttachmentJournals: migrated (0.0040s) =========================

==  RemoveNoisyMessageJournals: migrating =====================================
==  RemoveNoisyMessageJournals: migrated (0.0040s) ============================

==  UpUserFieldsLengthLimits: migrating =======================================
-- change_column(:users, :login, :string, {:limit=>nil})
   -> 0.0878s
-- change_column(:users, :mail, :string, {:limit=>nil})
   -> 0.0796s
-- change_column(:users, :firstname, :string, {:limit=>nil})
   -> 0.2561s
-- change_column(:users, :lastname, :string, {:limit=>nil})
   -> 0.0852s
==  UpUserFieldsLengthLimits: migrated (0.5095s) ==============================

Loaded suite /home/xxxxxx/.rvm/gems/ruby-1.8.7-p358@global/bin/rake
Started

Finished in 0.000342 seconds.

0 tests, 0 assertions, 0 failures, 0 errors

$ ruby test/unit/issue_test.rb

2020-10-25 23/24



NOTE: Gem.source_index is deprecated, use Specification. It will be removed on or after 2011-11-01.
Gem.source_index called from /home/xxxxxx/.rvm/gems/ruby-1.8.7-p358/gems/rails-2.3.14/lib/rails/gem_dependency.rb:21.
Loaded suite test/unit/issue_test
Started
................................................................................F......
Finished in 42.893533 seconds.

  1) Failure:
test_stale_issue_should_not_send_email_notification(IssueTest) [test/unit/issue_test.rb:613]:
<2> expected but was
<0>.

87 tests, 219 assertions, 1 failures, 0 errors

</pre>

2012-05-20 08:25 am - Felix Schäfer
- Target version set to 3.2.0

- Status changed from Ready for review to Closed

Thanks, I was able to reproduce it, the fix is in commit:20448c7.

One note though: it is very hard (at least for me) to understand what you mean when you just paste code. In your response here for example you have 
pasted a very long response, but "it doesn't depend on the type of the database, it has to be empty" would probably have been enough. Could you try 
writing a response more often (even if it's automatically translated) instead of just pasting code or output? Thanks :-)

2012-05-20 10:03 am - Toshi MARUYAMA
I described "On empty database" at description.

2012-05-20 11:18 am - Felix Schäfer
I know, I didn't mean the description, though it seems I didn't completely understand what you meant, but note #2 which took me a long time to 
understand.

2012-05-20 11:44 am - Toshi MARUYAMA
You said "I could not reproduce this".
So, I post *full* log.

Files
